pipeline {
    agent any
    environment {
        SCRIPTS_PATH="./"
    }
    stages {
        // stage('Lighthouse') {
        //     environment {
        //         WEB_URL="https://accounts-v2.trueid-dev.net/?client_id=190&redirect_uri=https://www.google.co.th&state=1&lang=en"
        //     }
        //     steps {
        //         sh "curl -o /dev/null -s -w \"Total: %{time_total}s\n\" https://iam-internal.trueid-preprod.net/auth/v4"
        //         sh "curl -o /dev/null -s -w \"Total: %{time_total}s\n\" https://iam-internal.trueid-preprod.net/data/v4"

        //         dir("${SCRIPTS_PATH}") {
        //             sh "npx lighthouse-ci@1.12.0 \"${WEB_URL}\" --config-path=./lighthouse-config.json --performance=50 --accessibility=80 --best-practices=90 --jsonReport --report=."
        //         }
        //     }
        //     post {
        //         always {
        //             dir("${SCRIPTS_PATH}") {
        //                lighthouseReport file: './report.json', name: 'Home Page'
        //             }
        //         }
        //     }
        // }
       
        stage('Sonar') {
            environment {
                SONAR_TOKEN='6cb501180e53c1ccdd868337792462eec7522d79'
            }
            steps {
                withSonarQubeEnv("SonarCloud") {
                    sh """
                        sonar-scanner \
                            -Dsonar.organization=pt-sangthong \
                            -Dsonar.projectKey=pt-sangthong_vitejs-app \
                            -Dsonar.sources=. \
                            -Dsonar.host.url=https://sonarcloud.io
                    """
                }
            }
        }
    }
}
